DOM::HTMLBaseFontElement class Reference (khtml Library)

| # khtml Library API Documentation
Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Source Files

# DOM::HTMLBaseFontElement Class Reference

Base font. More...

`#include <html_misc.h>`

Inheritance diagram for DOM::HTMLBaseFontElement:

[legend]
Collaboration diagram for DOM::HTMLBaseFontElement:

[legend]
List of all members.

## Public Member Functions
| HTMLBaseFontElement (const HTMLBaseFontElement &other)
| HTMLBaseFontElement (const Node &other)
HTMLBaseFontElement & | operator= (const HTMLBaseFontElement &other)
HTMLBaseFontElement & | operator= (const Node &other)
DOMString | color () const
| Font color.
void | setColor (const DOMString &)
| see color
DOMString | face () const
| Font face identifier.
void | setFace (const DOMString &)
| see face
long | getSize () const
| Computed Font size.
void | setSize (long)
| see size
DOMString | size () const
| This class or method is obsolete, it is provided for compatibility only.
void | setSize (const DOMString &)
| This class or method is obsolete, it is provided for compatibility only.
## Protected Member Functions
| HTMLBaseFontElement (HTMLBaseFontElementImpl *impl)

## Detailed Description

Base font.

See the BASEFONT element definition in HTML 4.0. This element is deprecated in HTML 4.0.

Definition at line 48 of file html_misc.h.

## Member Function Documentation

DOMString HTMLBaseFontElement::color | ( |  | ) | const

| Font color. See the color attribute definition in HTML 4.0. This attribute is deprecated in HTML 4.0. Definition at line 59 of file html_misc.cpp.

void HTMLBaseFontElement::setColor | ( | const DOMString & |  | ) |

| see color Definition at line 65 of file html_misc.cpp.

DOMString HTMLBaseFontElement::face | ( |  | ) | const

| Font face identifier. See the face attribute definition in HTML 4.0. This attribute is deprecated in HTML 4.0. Definition at line 70 of file html_misc.cpp.

void HTMLBaseFontElement::setFace | ( | const DOMString & |  | ) |

| see face Definition at line 76 of file html_misc.cpp.

long HTMLBaseFontElement::getSize | ( |  | ) | const

| Computed Font size. See the size attribute definition in HTML 4.0. This attribute is deprecated in HTML 4.0. Definition at line 92 of file html_misc.cpp.

void HTMLBaseFontElement::setSize | ( | long |  | ) |

| see size Definition at line 98 of file html_misc.cpp. References QString::number().

DOMString HTMLBaseFontElement::size | ( |  | ) | const

| This class or method is obsolete, it is provided for compatibility only. Definition at line 81 of file html_misc.cpp.

void HTMLBaseFontElement::setSize | ( | const DOMString & |  | ) |

| This class or method is obsolete, it is provided for compatibility only. Definition at line 87 of file html_misc.cpp.

The documentation for this class was generated from the following files:

- html_misc.h
- html_misc.cpp

This file is part of the documentation for kdelibs Version 3.1.5.
Documentation copyright © 1996-2002 the KDE developers.
Generated on Wed Jan 28 13:39:18 2004 by doxygen 1.3.4 written by Dimitri van Heesch, © 1997-2001